BatchedWrite (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.journal.impl.BatchedWrite class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.journal.impl
Class BatchedWrite

    java.lang.Object
      org.codehaus.activemq.journal.impl.BatchedWrite

public class BatchedWrite
extends Object

This contains all the data needed to write and force a list of records to a LogFile. The more records that can be cramed into a single BatchedWrite, the higher throughput that can be achived by a write and force operation.

Version:
  $Revision: 1.2 $

Field Summary
`Throwable` | `error`

Constructor Summary
`BatchedWrite(ByteBuffer byteBuffer)`

Method Summary
`boolean` | `append(Record record)`
`void` | `disableAppend()`
`void` | `forced()`
`ByteBuffer` | `getByteBuffer()`
`Record` | `getData()`
`long` | `getFirstSequenceId()`
`long` | `getLastSequenceId()`
`Mark` | `getMark()`
`void` | `waitForForce()`
`void` | `writeFailed(Throwable error)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### error

    public Throwable error

Constructor Detail

### BatchedWrite

    public BatchedWrite(ByteBuffer byteBuffer)

Parameters:
  `byteBuffer` -

Method Detail

### disableAppend

    public void disableAppend()
                       throws InterruptedException

  Throws:
    `InterruptedException`

### append

    public boolean append(Record record)

  Parameters:
    `record` -

### waitForForce

    public void waitForForce()
                      throws Throwable

  Throws:
    `Throwable`

### forced

    public void forced()

### writeFailed

    public void writeFailed(Throwable error)

### getData

    public Record getData()

  Returns:
    Returns the data.

### getByteBuffer

    public ByteBuffer getByteBuffer()

### getMark

    public Mark getMark()

  Returns:

### getLastSequenceId

    public long getLastSequenceId()

  Returns:

### getFirstSequenceId

    public long getFirstSequenceId()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.